Subject: Re: [Drip] [Internet]Re: New Version Notification for draft-ietf-drip-arch-17.txt

From: Robert Moskowitz <[email-masked]>
Date: Wed, 1 Dec 2021 11:34:34 -0500

On 11/30/21 23:24, Stuart W. Card wrote:
> On 11/30/2021 7:40 PM, shuaiizhao(Shuai Zhao) wrote:
>> ...
>> Editor-note-1:
>> - I recall you have a comment regarding Figure 3. The original 
>> comment is as follows:
>>
>> "Section 1.3 Figure 3 is confusing: the Observer _sees_ (or hears, or 
>> otherwise senses) UAS but does not _connect_ to them; the Observer 
>> can connect via the Internet to another USS (and thence via the DSS) 
>> for queries regarding the UAS"
>> I will need your help to get a better understanding what is your 
>> proposing.
>>
>> Per Bob's comment, Once we resolve Editor-note-1, we need to recheck 
>> the language in Editor-note-8, to make sure the logic in CS-RID still 
>> correct. Both Editor-note can be resolved at the same time.
>
> I am just suggesting we revise the figure to distinguish between 
> _observations_ and communications. It may be as simple as replacing 
> some solid lines with dotted lines and adding a brief legend 
> indicating what each of them means. Adam & I can try revising the 
> ASCII art and writing the legend.
>
>> Editor-note-2:
>> - please provide text for change
>
> As well as the replacement ASCII art for Figure 4; will do.
>
>> Editor-note-3:
>> - Per your previous comment (If I recall correctly), either Bob or 
>> Adam needs to double check if language in this section is correct.
>
> Preferably both of them. ;-)

this para is in line with the current drip-auth that Adam and I crafted.

We worked hard at getting this well done in drip-auth and pulling it 
completely from drip-rid.

>
>> Editor-note-4:
>> - I will try to cover this one, which is citing Req numbers in section 5
>
> Then have Adam verify it against his embryonic registry draft.
>
>> Edtior-note-5:
>> - regarding the title of section 6 "DRIP Identifier Trust". The 
>> original text came from Adam and you asked why we don’t we use the 
>> word "“authentication”.
>> Should we change the tile of section 6 from "DRIP Identifier Trust" 
>> to "DRIP Identifier Authentication"?
>
> It was just a question. I am not requesting a change. It just struck 
> me as strange that Section 6 is the brief architectural skeleton that 
> is fleshed out in Adam's authentication formats/protocols draft, yet 
> the latter has "authentication" in its title and the former does not. 
> I like the concept of trust as broader than (although starting with) 
> authentication, provided we really are going to say something broader 
> than authentication here. Rather than change the title, I would be in 
> favor of saying a few more words about identifier trust, including 
> some discussion of how an Observer can determine that an observed UA 
> is being flown by an operator who is registered in a registry that 
> Observer trusts to vet and register only trustworthy operators.

So you want more work from us.  :)

>
>> Editor-note-6:
>> - I will try to cover this one, which is citing Req numbers in section 7
>
> Then have Bob verify it against his drafts.
>
>> Editor-note-7:
>> - Bob suggest move Section 3 to Section 2.4. My personally has no 
>> issues since it is all about new DRIP terminologies. I will make that 
>> changes until I heard differently.

I believe in my last comment on this I said to lift the whole and make 
it sec 2.3.1, as these are all "Additional Definitions" and the current 
3. header is worth keeping.

>
> I completely agree with the move.
>
> Thanks!
>> On 11/30/21, 10:51, "Stuart W. Card" <[email-masked]> wrote:
>>
>>      Shuai (as -arch editor) et al --
>>
>>      Other than writing a sentence for the body text indicating that 
>> some of
>>      the entities and relationships in the new Figure 4 are just 
>> context and
>>      outside the scope of DRIP, and assisting with revision of Figure 
>> 3, I am
>>      having trouble finding the action items specifically assigned to 
>> me?
>>
>>      Thanks.
>>
>>      -- Stu
>>
>>      On 11/10/2021 10:32 PM, shuaiizhao(Shuai Zhao) wrote:
>>      > DRIP Enthusiast,
>>      >
>>      > Revision 17 is uploaded which is trying to address the 
>> comments received
>>      > during IETF week. Please see attached emails thread for previous
>>      > conversations.
>>      >
>>      > Best,
>>      >
>>      > Shuai
>>      >
>>      > 
>> -------------------------------------------------------------------------------
>>      >
>>      >
>>      > A new version of I-D, draft-ietf-drip-arch-17.txt
>>      > has been successfully submitted by Shuai Zhao and posted to the
>>      > IETF repository.
>>      >
>>      > Name:draft-ietf-drip-arch
>>      > Revision:17
>>      > Title:Drone Remote Identification Protocol (DRIP) Architecture
>>      > Document date:2021-11-10
>>      > Group:drip
>>      > Pages:26
>>      > URL: https://www.ietf.org/archive/id/draft-ietf-drip-arch-17.txt
>>      > <https://www.ietf.org/archive/id/draft-ietf-drip-arch-17.txt>
>>      > Status: https://datatracker.ietf.org/doc/draft-ietf-drip-arch/
>>      > <https://datatracker.ietf.org/doc/draft-ietf-drip-arch/>
>>      > Htmlized: 
>> https://datatracker.ietf.org/doc/html/draft-ietf-drip-arch
>>      > <https://datatracker.ietf.org/doc/html/draft-ietf-drip-arch>
>>      > Diff: https://www.ietf.org/rfcdiff?url2=draft-ietf-drip-arch-17
>>      > <https://www.ietf.org/rfcdiff?url2=draft-ietf-drip-arch-17>
>>      >
>>      > Abstract:
>>      >    This document describes an architecture for protocols and 
>> services to
>>      >    support Unmanned Aircraft System Remote Identification and 
>> tracking
>>      >    (UAS RID), plus RID-related communications.  This architecture
>>      >    adheres to the requirements listed in the DRIP Requirements 
>> document.
>
>

-- 
Standard Robert Moskowitz
Owner
HTT Consulting
C:248-219-2059
F:248-968-2824
E:[email-masked]

There's no limit to what can be accomplished if it doesn't matter who 
gets the credit